## com.sun.jersey.core.provider.jaxb
Class AbstractJAXBProvider<T>

    java.lang.Object
      com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider<T>
          com.sun.jersey.core.provider.jaxb.AbstractJAXBProvider<T>

All Implemented Interfaces:
  MessageBodyReader<T>, MessageBodyWriter<T>

Direct Known Subclasses:
  AbstractJAXBElementProvider, AbstractListElementProvider, AbstractRootElementProvider

    public abstract class AbstractJAXBProvider<T>

extends AbstractMessageReaderWriterProvider<T>

A base class for implementing JAXB-based readers and writers.

Author:
  Paul Sandoz (paul.sandoz at oracle.com)

Field Summary

Fields inherited from class com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider
`UTF8`

Constructor Summary
`AbstractJAXBProvider(Providers ps)`
`AbstractJAXBProvider(Providers ps, MediaType mt)`

Method Summary
`protected javax.xml.bind.JAXBContext` | `getJAXBContext(java.lang.Class type)`
`protected javax.xml.bind.Marshaller` | `getMarshaller(java.lang.Class type, MediaType mt)`
`protected static javax.xml.transform.sax.SAXSource` | `getSAXSource(javax.xml.parsers.SAXParserFactory spf, java.io.InputStream entityStream)`
`protected javax.xml.bind.JAXBContext` | `getStoredJAXBContext(java.lang.Class type)`
`protected javax.xml.bind.Unmarshaller` | `getUnmarshaller(java.lang.Class type, MediaType mt)`
`protected boolean` | `isFormattedOutput()`
`protected boolean` | `isSupported(MediaType m)`
`protected boolean` | `isXmlRootElementProcessing()`
`void` | `setConfiguration(FeaturesAndProperties fp)`
`protected void` | `setHeader(javax.xml.bind.Marshaller m, java.lang.annotation.Annotation[] annotations)`

Methods inherited from class com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider
`getCharset, getSize, readFromAsString, writeTo, writeTo, writeToAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ws.rs.ext.MessageBodyReader
`isReadable, readFrom`

Methods inherited from interface javax.ws.rs.ext.MessageBodyWriter
`isWriteable, writeTo`

Constructor Detail

### AbstractJAXBProvider

    public AbstractJAXBProvider(Providers ps)

### AbstractJAXBProvider

    public AbstractJAXBProvider(Providers ps,
                                MediaType mt)

Method Detail

### setConfiguration

    @Context
    public void setConfiguration(FeaturesAndProperties fp)

### isSupported

    protected boolean isSupported(MediaType m)

### getUnmarshaller

    protected final javax.xml.bind.Unmarshaller getUnmarshaller(java.lang.Class type,
                                                                MediaType mt)
                                                         throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### getMarshaller

    protected final javax.xml.bind.Marshaller getMarshaller(java.lang.Class type,
                                                            MediaType mt)
                                                     throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### getJAXBContext

    protected javax.xml.bind.JAXBContext getJAXBContext(java.lang.Class type)
                                                 throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### getStoredJAXBContext

    protected javax.xml.bind.JAXBContext getStoredJAXBContext(java.lang.Class type)
                                                       throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### getSAXSource

    protected static javax.xml.transform.sax.SAXSource getSAXSource(javax.xml.parsers.SAXParserFactory spf,
                                                                    java.io.InputStream entityStream)
                                                             throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### isFormattedOutput

    protected boolean isFormattedOutput()

### isXmlRootElementProcessing

    protected boolean isXmlRootElementProcessing()

### setHeader

    protected void setHeader(javax.xml.bind.Marshaller m,
                             java.lang.annotation.Annotation[] annotations)
                      throws javax.xml.bind.PropertyException

  Throws:
    `javax.xml.bind.PropertyException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.